Biblioteki 32 bitowe na 64 bitowym Systemie


(treuer25) #1

Witam chciałbym zapytać jak dowiązać 32 bitowe sterowniki kart Nvidia na 64 bitowym systemie przede wszystkim jest mi to potrzebne do uruchamiania gier spod 32 bitowego Wine. Gdyż aktualnie gdy włączam teraz jakąś grę playonlinux wyświetla mi że nie mam odpowiednich sterowników, więc wnioskuję że trzeba jakoś wgrać 32 bitowe biblioteki na 64 bitowy system.


(dragonn) #2

Z fusów dzisiaj nie wróże, jaka dystrybucja?


(treuer25) #3

Ubuntu 14.04 LTS


(dragonn) #4

Jak instalowałeś stery? Masz pakiet ia32-libs?


(Latający Turban) #5

To teraz znowu trzeba instalować wszystkie biblioteki ? Myślałem, że wystarczy nazwaprogramu:ia32


(treuer25) #6

ok tylko jak teraz zainstalować tak żeby system miał w sobie także 32 bitowe sterowniki NVIDIA. sterowniki instalowałem z rezpozytorium edgers


(dragonn) #7

Zgodnie z tym co mówi Latający Turban powinno zadziałać:

apt-get install nvidia-graphics-drivers-346:ia32

(Latający Turban) #8

Czekaj bo coś pokręciłem.

 

najpierw robisz to

sudo dpkg --add-architecture i386 (chociaż nie wiem, czy ubuntu tego nie ma w domyśle)

później spróbuj to

sudo apt-get install nvidia-graphics-drivers-346:i386

 

chyba tak jakoś szło

 

Edit: nie jestem przekonany co do tego żebyś miał dwie wersje sterowników w systemie, jesteś pewien że potrzebujesz całej paczki a nie tylko kilku bibliotek ?


(dragonn) #9

Powinny wystarczyć same bibloteki, ale nie mam zielonego pojęcia w jakim pakiecie one są, czy w ogóle są osobno pakowane. Dawno nie używałem ubuntu.


(treuer25) #10

już sobie poradziłem zainstalowałem ia32-libs

sudo -i
cd /etc/apt/sources.list.d
echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
apt-get update
apt-get install ia32-libs
rm /etc/apt/sources.list.d/ia32-libs-raring.list
apt-get update
exit
sudo apt-get install gcc-multilib

Teraz aplikacje 32 bitowe działają bez żadnego problemu.

To wyżej dla ludzi którzy mają ten sam problem

dzięki wszystkim za wskazówki


(saitoh) #11

Rozwiązanie idiotyczne. Nie ma to jak dodawać stare i porzucone repozytorium z niewspieranej wersji systemu, z niekompatybilnymi i dziurawymi wersjami pakietów :slight_smile:

Zresztą większość porad w tym wątku to kompromitacja tej ponoć licznej i kompetentnej społeczności użytkowników ubuntu i ich znajomości podstaw obsługi systemu.

 

Poczytaj trochę o obsłudze multiarch.


(eranet) #12

@up: przepraszam a Ty to kto? znawca systemu Ubuntu?

 

co do multiarch - jest to owszem wygodne, aczkolwiek jak zrobić z systemu 64bit system multiarch  inaczej niż to zostało pokazane w tym wątku? czekam aż mnie/nas oświecisz.....

 

Zmiana (czytaj: dodanie obsługi) architektury (32; 64; multi) nie należy do podstaw obsługi systemu. Jest to zaawansowany 'zabieg', którego początkujący sam na 100% nie wykona.....


(saitoh) #13

Ubuntu znam na tyle by mieć o tej dystrybucji swoje zdanie. A popularność i wsparcie jej społeczności to tylko mity.

 

Ale do rzeczy.

Obsługa multiarch to są podstawy systemu. Bez tego nie ma zdecydowanej większości gier w Wine i Steam, Skype itp.

Ale rozumiem, że dla użytkowników Ubuntu wszystko może być zbyt skomplikowane bo oni z bycia technologicznym idiotą robią zaletę i główny cel istnienia swoje dystrybucji.

dpkg --add-architecture i386
apt-get update
apt-get install libgl1-nvidia-glx:i386

(treuer25) #14

Temat można zamknąć gdyż problem został rozwiązany